Jailbreak ATV2 running 4.2.1 (2100)

Just setting out to jailbreak my old ATV 2 running 4.2.1 (2100).

The seasonpass instructions are a bit dated (from 2011).

Would appreciate any guidance re:

  1. Is it ok to use the latest iTunes software v 12…0.1.26?
  2. Use seasonpass for atv2 0.9.3?

Just concerned if the instructions are still valid with the latest iTunes.

Thanks for any help.

Rgds,

Turn off itunes helper (in activity monitor) and exit itunes before you start. Should be OK. I’ve been doing that for later versions.

Yes I think you have to use that Seasonpass version.

Good luck.

Thank you kiteflyer for your tip re iTunes helper.

The other issue I am trying to figure out is how to get to an end state with my ATV2 running 5.3.

All google searches take me to either:

  • ATV2 already jailbroken - use current seasonpass to go to 5.3.
  • ATV2 already running 5.3.

Does this mean that I have to do this as a two step process:

  1. Use old seasonpass to just jailbreak ATV2 running 4.2.1.
  2. Use new seasonpass to “upgrade” to 5.3.

Is it e.g. possible to just do an upgrade to 5.3 before starting the jailbreak? I cannot find any guidance on how to do this.

Any help will be MUCH appreciated.

Thanks,

Ok, so some more googling - so I think what will happen is if I use the older version of seasonpass 0.9.3 (since my current ATV 2 firmware is older than 4.3), the jailbreak will automatically upgrade the firmware to the latest supported version i.e. 5.3.

Much appreciated if someone can confirm this for me!

Thanks,

Just use the latest version of Seasonpass. It will jailbreak to 5.3 regardless of what firmware your ATV2 is currently running. If you receive an error during the jailbreak then upgrade using iTunes to the latest firmware and run Seasonpass again.

Thank you!

I used the latest version of Seasonpass and the jailbreak completed very smoothly with no issues.

Thanks all for the great support and kudos to the firecore team for all the great work here.